wifi8 2.0.0.0

Data Fields
wifi8_m2m_wifi1x_hdr_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t | u8_flags
uint8_t | u8_domain_length
uint8_t | u8_user_name_length
uint8_t | u8_hdr_length
uint16_t | u16_private_key_offset
uint16_t | u16_private_key_length
uint16_t | u16_certificate_offset
uint16_t | u16_certificate_length
uint8_t | au8_tls_specific_root_name_sha1 [20]
uint32_t | u32_tls_cs_bmp
uint32_t | u32_tls_hs_flags
uint32_t | u32_rsv
uint8_t | au81x_auth_details []

## Field Documentation

## ◆ au81x_auth_details

uint8_t au81x_auth_details[]

placeholder for concatenation of domain, user_name, private_key/password, certificate. certificate (for 1x tls only) is sent over hif separately from the other parameters.

## ◆ au8_tls_specific_root_name_sha1

uint8_t au8_tls_specific_root_name_sha1[20]

sha1 digest of subject name to identify specific root certificate for phase 1 server verification.

## ◆ u16_certificate_length

uint16_t u16_certificate_length

length of certificate.

## ◆ u16_certificate_offset

uint16_t u16_certificate_offset

offset within au81x_auth_details of certificate.

## ◆ u16_private_key_length

uint16_t u16_private_key_length

length of private_key/password. in the case of private_key, this is the length of the modulus.

## ◆ u16_private_key_offset

uint16_t u16_private_key_offset

offset within au81x_auth_details of private_key/password.

## ◆ u32_rsv

uint32_t u32_rsv

reserved, set to 0.

## ◆ u32_tls_cs_bmp

uint32_t u32_tls_cs_bmp

bitmap of tls ciphersuites supported. set to 0 by driver. the firmware uses whichever set of ciphersuites is active (via m2m_ssl_set_active_ciphersuites) when m2m_wifi_connect_1x_* is called.

## ◆ u32_tls_hs_flags

uint32_t u32_tls_hs_flags

tls handshake flags for phase 1.

## ◆ u8_domain_length

uint8_t u8_domain_length

length of domain. (offset of domain, within au81x_auth_details, understood to be 0.)

## ◆ u8_flags

uint8_t u8_flags

802.1x-specific flags: m2m_802_1x_mschap2_flag m2m_802_1x_tls_flag m2m_802_1x_unencrypted_username_flag m2m_802_1x_prepend_domain_flag

## ◆ u8_hdr_length

uint8_t u8_hdr_length

length of header (offset of au81x_auth_details within wifi8_m2m_wifi1x_hdr_t). legacy implementations may have 0 here, in which case header is 12 bytes. the unusual placing of this field is in order to hit a zero in legacy implementations.

## ◆ u8_user_name_length

uint8_t u8_user_name_length

length of user_name. (offset of user_name, within au81x_auth_details, understood to be u8_domain_length.)

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h